MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002155VCMIAI - Battlespublic2015-04-02 02:552016-10-01 14:24
Reporterraine 
Assigned ToAVS 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version0.99 
Summary0002155: A hero without spellbook can't use spell scrolls
DescriptionA hero without spellbook can't use spell scrolls, even though it is possible in the original game.
TagsNo tags attached.
Attached Files

- Relationships
related to 0000482resolvedAVS Tome of Magic without spell book. 
related to 0001898closedAVS Admiral hat, sea captains hat - no magic spells in the book, if the hero is no book of magic 

-  Notes
(0005683)
SXX (administrator)
2015-04-02 05:11

Just note. When I tested it for 0001898 none of artifacts let you cast anything in battle if you have no spellbook. Though on adventure map you should able to cast spells from scrolls.

To be fair I not sure if this have to be considered as feature or bug.
(0006794)
AVS (administrator)
2016-10-01 14:24

fixed in https://github.com/vcmi/vcmi/commit/799b8519e08aa84818175a5fcc534f19cf78f5dd [^]

- Issue History
Date Modified Username Field Change
2015-04-02 02:55 raine New Issue
2015-04-02 02:55 raine Status new => assigned
2015-04-02 02:55 raine Assigned To => Tow
2015-04-02 05:08 SXX Relationship added related to 0000482
2015-04-02 05:09 SXX Relationship added related to 0001898
2015-04-02 05:11 SXX Note Added: 0005683
2016-09-30 14:37 AVS Assigned To Tow => AVS
2016-10-01 14:24 AVS Note Added: 0006794
2016-10-01 14:24 AVS Status assigned => resolved
2016-10-01 14:24 AVS Fixed in Version => 0.99
2016-10-01 14:24 AVS Resolution open => fixed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean